| Digital Power Starter Kit 3 Firmware dsPIC33C Boost Converter Voltage Mode Control Example |

CPU_RCON_s Struct Reference

`#include <fault_handler/drivers/drv_trap_handler.h>`

Collaboration diagram for CPU_RCON_s:

## Detailed Description

Definition at line 191 of file drv_trap_handler.h.

## Field Documentation

## ◆ bor

volatile unsigned bor

Bit #1: Brown-out Reset Flag bit.

Definition at line 197 of file drv_trap_handler.h.

## ◆ cm

volatile unsigned cm

Bit #9: Configuration Mismatch Flag bit.

Definition at line 205 of file drv_trap_handler.h.

## ◆ extr

volatile unsigned extr

Bit #7: External Reset Pin (MCLR) bit.

Definition at line 203 of file drv_trap_handler.h.

## ◆ idle

volatile unsigned idle

Bit #2: Wake-up from Idle Flag bit.

Definition at line 198 of file drv_trap_handler.h.

## ◆ iopuwr

volatile unsigned iopuwr

Bit #14: Illegal Opcode or Uninitialized W Access Reset Flag bit.

Definition at line 210 of file drv_trap_handler.h.

## ◆ por

volatile unsigned por

Bit #0: Power-on Reset Flag bit.

Definition at line 196 of file drv_trap_handler.h.

## ◆ sleep

volatile unsigned sleep

Bit #3: Wake-up from Sleep Flag bit.

Definition at line 199 of file drv_trap_handler.h.

## ◆ swdten

volatile unsigned swdten

Bit #5: Software Enable/Disable of WDT bit.

Definition at line 201 of file drv_trap_handler.h.

## ◆ swr

volatile unsigned swr

Bit #6: Software Reset Flag (Instruction) bit.

Definition at line 202 of file drv_trap_handler.h.

## ◆ trapr

volatile unsigned trapr

Bit #15: Trap Reset Flag bit.

Definition at line 211 of file drv_trap_handler.h.

## ◆ unsigned

volatile unsigned

Bit #10: Reserved.

Bit #13: Reserved.

Bit #12: Reserved.

Definition at line 206 of file drv_trap_handler.h.

## ◆ value

volatile uint16_t value

Definition at line 215 of file drv_trap_handler.h.

## ◆ vregs

volatile unsigned vregs

Bit #8: Voltage Regulator Standby During Sleep bit.

Definition at line 204 of file drv_trap_handler.h.

## ◆ vregsf

volatile unsigned vregsf

Bit #11: Flash Voltage Regulator Standby During Sleep bit.

Definition at line 207 of file drv_trap_handler.h.

## ◆ wdto

volatile unsigned wdto

Bit #4: Watchdog Timer Time-out Flag bit.

Definition at line 200 of file drv_trap_handler.h.

The documentation for this struct was generated from the following file:

- dpsk_boost_vmc.X/sources/fault_handler/drivers/drv_trap_handler.h